package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideWc;
import com.lightinit.hsdatashow.entity.CountrysideWcExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CountrysideWcMapper {
    long countByExample(CountrysideWcExample example);

    int deleteByExample(CountrysideWcExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideWc record);

    int insertSelective(CountrysideWc record);

    List<CountrysideWc> selectByExample(CountrysideWcExample example);

    CountrysideWc selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideWc record, @Param("example") CountrysideWcExample example);

    int updateByExample(@Param("record") CountrysideWc record, @Param("example") CountrysideWcExample example);

    int updateByPrimaryKeySelective(CountrysideWc record);

    int updateByPrimaryKey(CountrysideWc record);

    List<CountrysideWc> getCountrysideWc(int year);
}